Cyberduck Mountain Duck CLI

#5585 closed enhancement (fixed)

Mount in Explorer

Reported by: http://sandeyplug.tonidoid.com:10001/app/openid Owned by: yla
Priority: normal Milestone: 5.0
Component: core Version: 4.0b8
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

It would be very beneficial for me to be able to map an account opened in CyberDuck as a Network Drive under windows.

Would this be possible in a future release?

Change History (22)

comment:1 Changed on Dec 21, 2010 at 7:34:10 PM by dkocher

  • Summary changed from Map as Drive under windows to Map as Drive

For the Mac in #5096.

comment:2 Changed on Mar 31, 2011 at 7:59:48 PM by dkocher

  • Milestone set to 4.1

comment:3 Changed on Jun 3, 2011 at 9:05:19 AM by dkocher

  • Milestone changed from 4.1 to 4.2

comment:4 Changed on Jun 24, 2011 at 8:47:45 AM by dkocher

  • Milestone changed from 4.2 to 4.3

comment:5 Changed on Nov 8, 2011 at 4:13:31 PM by dkocher

  • Summary changed from Map as Drive to Mount in Explorer

comment:6 Changed on Apr 3, 2012 at 9:50:09 AM by dkocher

  • Milestone changed from 4.3 to 4.4

comment:7 Changed on Oct 8, 2013 at 9:29:35 PM by dkocher

  • Owner set to yla

comment:8 Changed on Oct 29, 2014 at 12:53:55 PM by vasily sidorov

I support this request too.

comment:9 Changed on Feb 18, 2015 at 9:11:51 PM by tom++

This feature would be great to open Cyberduck.io for non technical users - they could use webdav-files like local files :-)

comment:10 follow-ups: Changed on Apr 30, 2015 at 8:13:31 AM by dkocher

Interface in r17454.

comment:11 in reply to: ↑ 10 Changed on May 11, 2015 at 3:15:27 PM by kralizeck

Nice!! But... how to use it? I've installed cyberduck (normal and CLI) v. 4.8.17500 and can't find how to map the drive.

I would prefer to use the CLI for script integration.

Thanks!

Last edited on May 11, 2015 at 3:15:56 PM by kralizeck (previous) (diff)

comment:12 Changed on May 15, 2015 at 9:15:43 PM by beej9

I agree with kralizeck: This would be AWESOME to have! Please tell us how to get a mapped drive in Windows (from a WebDAV connection in my case).

comment:13 in reply to: ↑ 10 ; follow-up: Changed on May 17, 2015 at 6:49:27 AM by dkocher

Replying to dkocher:

Interface in r17454.

This is still work in progress.

comment:14 Changed on May 18, 2015 at 6:39:09 AM by intika

This is amazing :) am impatient to see that working Thanks a million !

some link that could help

--AND--

--ALSO-- may be have a look at

i'll see if i can help later ;)

Last edited on May 27, 2015 at 12:57:44 PM by dkocher (previous) (diff)

comment:15 in reply to: ↑ 13 ; follow-up: Changed on May 26, 2015 at 7:01:10 PM by beej9

Replying to dkocher:

Replying to dkocher:

Interface in r17454.

This is still work in progress.

@dkocher: Great to hear! Do you have an ETA? Is the mapped drive feature imminent, or long-term wish list?

Thanks so much!

Last edited on May 26, 2015 at 7:01:46 PM by beej9 (previous) (diff)

comment:16 in reply to: ↑ 15 Changed on Jun 2, 2015 at 11:26:57 AM by dkocher

Replying to beej9:

Replying to dkocher:

Replying to dkocher:

Interface in r17454.

This is still work in progress.

@dkocher: Great to hear! Do you have an ETA? Is the mapped drive feature imminent, or long-term wish list?

Thanks so much!

This is actively being worked on with an anticipated release this summer.

comment:17 Changed on Jun 9, 2015 at 9:46:27 AM by dkocher

#8869 closed as duplicate.

comment:18 follow-up: Changed on Sep 1, 2015 at 1:24:37 PM by dannyzb

Will it support block-level access ?

With block-level access the possibilities are endless and it would function almost like a regular drive. Without it both the Mac and Windows WebDAV clients seem to cause video players / streamers to load entire files ( 1GB of RAM ! ) before starting to play.

There are wide uses in creating a multimedia mount drives at the consumer level -- something that's currently only possible with commercial options like NetDrive.

comment:19 in reply to: ↑ 18 ; follow-up: Changed on Sep 1, 2015 at 3:59:31 PM by dkocher

Replying to dannyzb:

Will it support block-level access ?

Yes.

comment:20 in reply to: ↑ 19 Changed on Sep 1, 2015 at 4:08:46 PM by dannyzb

Replying to dkocher:

Replying to dannyzb:

Will it support block-level access ?

Yes.

Wow thank you so much for developing this ! I have an entire product that needs a client with this functionality Hope it runs well (:

Any time frame for when it is out ? weeks/months ?

comment:21 Changed on Sep 21, 2015 at 9:45:31 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

We will release Mountain Duck as a separate product this fall. You can request an invite to the private beta today.

comment:22 Changed on May 2, 2016 at 1:11:30 PM by dkocher

Our private beta period has sunset. Mountain Duck is now available from mountainduck.io

Note: See TracTickets for help on using tickets.
swiss made software